#94887 Report by node docker-deb-debian_8_jessie covering 1742 tests from 49 modules resulted into 15 errors

Report

ObsPy Version
1.0.2.post0+998.g54b8d6bb3a...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
531.8 sec
Report Date/Time
2018-05-06 10:03:33

System / Python

Architecture
64bit
Machine
x86_64
Node
docker-deb-debian_8_jessie
Processor
None
Python Compiler
GCC 4.9.1
Python Implementation
CPython
Python Version
3.4.2
Release
4.4.0-119-generic
System
Linux
Version
#143-Ubuntu SMP Mon Apr 2 16:08:24 UTC 2018

Dependencies

cartopy
---
decorator
3.4.0
flake8
2.2.2
future
0.16.0
geographiclib
---
lxml.etree
3.4.0
m2crypto
---
matplotlib
1.4.2
mock
1.0.1
mpl_toolkits.basemap
---
numpy
1.8.2
osgeo.gdal
---
pep8-naming
---
pyflakes
0.8.1
pyimgur
0.5.3
pyproj
1.8.9
requests
2.4.3
scipy
0.14.0
setuptools
5.5.1
sqlalchemy
0.9.8

Modules (49)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 2 1 2
obspy.clients.earthworm - -
obspy.clients.fdsn 3 3 4 5
obspy.clients.filesystem - -
obspy.clients.iris 2 6 7
obspy.clients.neic - -
obspy.clients.seedlink 3 8 9 10
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core 1 11
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.datamark - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.signal 4 12 13 14 15
obspy.taup - -
Summary 15 15

Tracebacks (15)

Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.arclink.client.Client.get_metadata
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 738, in get_metadata
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 764, in obspy.clients.arclink.client.Client.get_metadata
Failed example:
data = client.get_metadata('BW', 'MANZ', '', 'EHZ', t)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.arclink.client.Client.get_metadata[4]>", line 1, in <module>
data = client.get_metadata('BW', 'MANZ', '', 'EHZ', t)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 792, in get_metadata
instruments=True, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 1101, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 225, in _fetch
endtime=request_data[1])
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 609, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.arclink.client.Client.get_paz
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 882, in get_paz
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 907, in obspy.clients.arclink.client.Client.get_paz
Failed example:
paz = client.get_paz('BW', 'MANZ', '', 'EHZ', t)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.arclink.client.Client.get_paz[4]>", line 1, in <module>
paz = client.get_paz('BW', 'MANZ', '', 'EHZ', t)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 934, in get_paz
instruments=True, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 1101, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 225, in _fetch
endtime=request_data[1])
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 609, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.fdsn.client.Client.get_stations_bulk
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/client.py", line 905, in get_stations_bulk
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/client.py", line 937, in obspy.clients.fdsn.client.Client.get_stations_bulk
Failed example:
print(inv) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Expected:
Inventory created at ...
Created by: IRIS WEB SERVICE: fdsnws-station | version: ...
http://service.iris.edu/fdsnws/station/1/query?
Sending institution: IRIS-DMC (IRIS-DMC)
Contains:
Networks (2):
GR, IU
Stations (2):
GR.GRA1 (GRAFENBERG ARRAY, BAYERN)
IU.ANMO (Albuquerque, New Mexico, USA)
Channels (0):
Got:
Inventory created at 2018-05-06T14:58:17.000000Z
	Created by: IRIS WEB SERVICE: fdsnws-station | version: 1.1.32
		 http://service.iris.edu/fdsnws/station/1/query
	Sending institution: IRIS-DMC (IRIS-DMC)
	Contains:
		Networks (2):
			GR, IU
		Stations (2):
			GR.GRA1 (GRAFENBERG ARRAY, BAYERN)
			IU.ANMO (Albuquerque, New Mexico, USA)
		Channels (0):
<BLANKLINE>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/client.py", line 967, in obspy.clients.fdsn.client.Client.get_stations_bulk
Failed example:
print(inv) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Expected:
Inventory created at ...
Created by: IRIS WEB SERVICE: fdsnws-station | version: ...
http://service.iris.edu/fdsnws/station/1/query?
Sending institution: IRIS-DMC (IRIS-DMC)
Contains:
Networks (2):
GR, IU
Stations (2):
GR.GRA1 (GRAFENBERG ARRAY, BAYERN)
IU.ANMO (Albuquerque, New Mexico, USA)
Channels (5):
GR.GRA1..BHZ, GR.GRA1..BHN, GR.GRA1..BHE, IU.ANMO.00.BHZ,
IU.ANMO.10.BHZ
Got:
Inventory created at 2018-05-06T14:58:17.000000Z
	Created by: IRIS WEB SERVICE: fdsnws-station | version: 1.1.32
		 http://service.iris.edu/fdsnws/station/1/query
	Sending institution: IRIS-DMC (IRIS-DMC)
	Contains:
		Networks (2):
			GR, IU
		Stations (2):
			GR.GRA1 (GRAFENBERG ARRAY, BAYERN)
			IU.ANMO (Albuquerque, New Mexico, USA)
		Channels (5):
			GR.GRA1..BHZ, GR.GRA1..BHN, GR.GRA1..BHE, IU.ANMO.00.BHZ,
			IU.ANMO.10.BHZ
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/io/mseed/util.py", line 664, in _get_record_information
values = unpack(fmt(endian), data)
TypeError: 'MagicMock' does not support the buffer interface
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/core/stream.py", line 210, in read
stream = _read(pathname_or_url, format, headonly, **kwargs)
TypeError: 'MagicMock' does not support the buffer interface
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/tests/test_client.py", line 1170, in test_get_waveforms_empty_seed_codes
self.client.get_waveforms(**kwargs_)
TypeError: 'MagicMock' does not support the buffer interface
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/tests/test_client.py", line 1176, in test_get_waveforms_empty_seed_codes
str(e))
AssertionError: 'unpack requires a string argument of length 28' != "'MagicMock' does not support the buffer interface"
- unpack requires a string argument of length 28
+ 'MagicMock' does not support the buffer interface
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/tests/test_client.py", line 586, in test_help_function_with_iris
self.assertEqual(line_got, line_expected)
AssertionError: 'originid (str)' != 'format (str) Default value: xml Choices: xml text'
- originid (str)
+ format (str) Default value: xml Choices: xml text
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.timeseries
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 174, in timeseries
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 315, in obspy.clients.iris.client.Client.timeseries
Failed example:
st = client.timeseries("IU", "ANMO", "00", "BHZ", dt, dt+10,
filter=["correct", "demean", "lp=2.0"])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 337, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 130, in _fetch
response = urllib.request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 153, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 461, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 571, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 499, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 433, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.iris.client.Client.timeseries[6]>", line 2, in <module>
filter=["correct", "demean", "lp=2.0"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 341, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 317, in obspy.clients.iris.client.Client.timeseries
Failed example:
print(st[0].data) # doctest: +ELLIPSIS
Expected:
[ -1.57488682e-06 -1.26318002e-06 -7.84807128e-07 ...
Got:
[ 24 20 19 19 19 15 10 4 -4 -11 -19 -26 -35 -48 -60
-72 -83 -95 -109 -121 -133 -147 -162 -179 -195 -208 -221 -238 -256 -272
-285 -301 -314 -324 -333 -341 -350 -358 -365 -370 -376 -378 -378 -380 -381
-381 -378 -376 -374 -370 -364 -359 -356 -352 -345 -337 -331 -328 -323 -316
-310 -305 -301 -295 -290 -289 -283 -275 -271 -269 -267 -263 -258 -257 -253
-248 -243 -240 -239 -237 -233 -229 -224 -218 -211 -208 -205 -202 -200 -195
-191 -185 -181 -180 -179 -177 -177 -177 -176 -176 -179 -183 -185 -187 -189
-192 -198 -204 -210 -216 -220 -227 -235 -241 -247 -253 -262 -270 -277 -284
-294 -304 -313 -323 -332 -340 -345 -350 -355 -358 -361 -364 -369 -372 -371
-372 -374 -373 -368 -364 -362 -357 -349 -344 -338 -331 -320 -311 -302 -291
-280 -268 -255 -243 -231 -218 -203 -187 -173 -160 -147 -132 -119 -108 -97
-86 -73 -62 -54 -48 -42 -37 -33 -29 -27 -27 -25 -26 -27 -29
-31 -30 -31 -36 -40 -44 -52 -59 -68 -77 -83 -89 -95 -101 -108
-116 -123 -130 -141 -150]
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 337, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 130, in _fetch
response = urllib.request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 153, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 461, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 571, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 499, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 433, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/tests/test_client.py", line 256, in test_timeseries
filter=["correct"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 341, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/seedlink/tests/test_slpacket.py", line 36, in test_get_string_payload
payload = packet.get_string_payload()
File "/usr/lib/python3/dist-packages/obspy/clients/seedlink/slpacket.py", line 178, in get_string_payload
msr, msrecord_py = self.get_ms_record()
File "/usr/lib/python3/dist-packages/obspy/clients/seedlink/slpacket.py", line 119, in get_ms_record
len(pyobj), C.pointer(msr), -1, 1, 1)
ctypes.ArgumentError: argument 1: <class 'TypeError'>: argument must be an ndarray
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/seedlink/tests/test_basic_client.py", line 24, in test_get_waveform
self.assertGreater(len(st), 0)
AssertionError: 0 not greater than 0
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seedlink.basic_client.Client.get_waveforms
File "/usr/lib/python3/dist-packages/obspy/clients/seedlink/basic_client.py", line 62, in get_waveforms
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seedlink/basic_client.py", line 70, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
G.FDF.00.BHZ | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seedlink/basic_client.py", line 79, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
G.FDF.00.BHZ | 20... | 20.0 Hz, ... samples
G.FDF.00.BHN | 20... | 20.0 Hz, ... samples
G.FDF.00.BHE | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/core/tests/test_code_formatting.py", line 165, in test_no_pyplot_import_in_any_file
self.assertEqual(len(failures), 0, "\n" + "\n\n".join(failures))
AssertionError: 1 != 0 :
File '/usr/lib/python3/dist-packages/obspy/signal/array_analysis/seismic_array.py' (line 26)
matches a forbidden matplotlib import statement outside of class/def statements
(breaking matplotlib backend switching on some systems):
'import matplotlib.pyplot as plt'
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.array_analysis.seismic_array.SeismicArray
File "/usr/lib/python3/dist-packages/obspy/signal/array_analysis/seismic_array.py", line 73, in SeismicArray
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/signal/array_analysis/seismic_array.py", line 100, in obspy.signal.array_analysis.seismic_array.SeismicArray
Failed example:
print(array)
Expected:
Seismic Array 'AGFA' with 5 Stations, aperture: 0.06 km.
Got:
Seismic Array 'AGFA' with 5 Stations, Aperture: 0.06 km.
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/signal/tests/test_seismic_array.py", line 328, in test_array_plotting
arr.plot()
File "/usr/lib/python3/dist-packages/obspy/signal/array_analysis/seismic_array.py", line 223, in plot
method="basemap", **kwargs)
File "/usr/lib/python3/dist-packages/obspy/core/inventory/inventory.py", line 654, in plot
title=None, show=False, fig=fig, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/imaging/maps.py", line 762, in plot_map
raise ImportError('Basemap cannot be imported but was explicitly '
ImportError: Basemap cannot be imported but was explicitly requested.
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.array_analysis.seismic_array.SeismicArray.plot
File "/usr/lib/python3/dist-packages/obspy/signal/array_analysis/seismic_array.py", line 185, in plot
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/signal/array_analysis/seismic_array.py", line 196, in obspy.signal.array_analysis.seismic_array.SeismicArray.plot
Failed example:
array.plot()
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.signal.array_analysis.seismic_array.SeismicArray.plot[4]>", line 1, in <module>
array.plot()
File "/usr/lib/python3/dist-packages/obspy/signal/array_analysis/seismic_array.py", line 223, in plot
method="basemap", **kwargs)
File "/usr/lib/python3/dist-packages/obspy/core/inventory/inventory.py", line 654, in plot
title=None, show=False, fig=fig, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/imaging/maps.py", line 762, in plot_map
raise ImportError('Basemap cannot be imported but was explicitly '
ImportError: Basemap cannot be imported but was explicitly requested.
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/signal/tests/test_seismic_array.py", line 319, in test_plot_radial_transfer_function
plt.savefig(ic.name)
File "/usr/lib/python3/dist-packages/obspy/core/util/testing.py", line 470, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: radialtransferfunc.png
	RMS: 19.638866226609586
	Tolerance: 3.0
	Expected: /usr/lib/python3/dist-packages/obspy/signal/tests/images/radialtransferfunc.png
	Actual: /usr/lib/python3/dist-packages/obspy/signal/tests/images/testrun/radialtransferfunc.png
	Diff: /usr/lib/python3/dist-packages/obspy/signal/tests/images/testrun/radialtransferfunc-failed-diff.png
	Expected: https://i.imgur.com/KuwQ0qu.png
	Actual: https://i.imgur.com/2jAtjkA.png
	Diff: https://i.imgur.com/qxer5He.png

Skipped Tests (58)

Submodule Test Skip Message
clients.arclink test_get_waveform_no_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_unknown_user (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_with_dcid_key (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_wrong_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) flake8 check disabled
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually

Slowest Tests (20)

Runtime Test
28.779s get_paz (obspy.clients.arclink.client.Client)
28.694s get_metadata (obspy.clients.arclink.client.Client)
18.686s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
16.579s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.905s test_kennet_ak135_ttime_tables_s_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
12.840s test_kennet_ak135_ttime_tables_p_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
12.631s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.501s test_kennet_ak135_ttime_tables_p_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
9.786s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.459s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.441s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.219s test_kennet_ak135_ttime_tables_s_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
9.036s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.280s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.175s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
7.811s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
7.278s test_kennet_ak135_ttime_tables_pkikp (obspy.taup.tests.test_tau.TauPyModelTestCase)
7.223s test_get_inventory_twice (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.839s test_plot_radial_transfer_function (obspy.signal.tests.test_seismic_array.SeismicArrayTestCase)
6.752s test_kennet_ak135_ttime_tables_pcp (obspy.taup.tests.test_tau.TauPyModelTestCase)

Chuck Norris Fact

The Chuck Norris Eclipse plugin made alien contact.